%global _empty_manifest_terminate_build 0
Name:           python-blinker
Version:        1.6.2
Release:        1
Summary:        A powerful signal lib based on Python
License:        MIT
URL:            https://pythonhosted.org/blinker/
Source0:        %{pypi_source blinker}
BuildRequires:	python3-pip python3-wheel
BuildArch:      noarch

%description
Blinker is a signal lib based on Python.It supports both object-to-object
and multicasting for python object.The core of blinker is minimal but provides
quite powerful features.

%package -n python3-blinker
Summary:	A powerful signal lib based on Python
Provides:	python-blinker = %{version}-%{release}
BuildRequires:	python3-devel python3-setuptools

%description -n python3-blinker
Blinker is a signal lib based on Python.It supports both object-to-object
and multicasting for python object.The core of blinker is minimal but provides
quite powerful features.

%package help
Summary:	Development documents and examples for blinker
Provides:	python3-blinker-doc

%description help
Blinker is a signal lib based on Python.It supports both object-to-object
and multicasting for python object.The core of blinker is minimal but provides
quite powerful features.

%prep
%autosetup -n blinker-%{version}

%build
%pyproject_build

%install
%pyproject_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi

%files -n python3-blinker
%{python3_sitelib}/*

%files help
%{_docdir}/*

%changelog
* Thu May 18 2023 wulei <wu_lei@hoperun.com> - 1.6.2-1
- Update to 1.6.2

* Fri Nov 18 2022 liqiuyu <liqiuyu@kylinos.cn> - 1.5-1
- Update package to version 1.5

* Wed Oct 21 2020 chengzihan <chengzihan2@huawei.com> - 1.4-6
- Remove subpackage python2-blinker

* Tue Sep 29 2020 liuweibo <liuweibo10@huawei.com> - 1.4-5
- Fix Source0

* Tue Nov 26 2019 zhouyihang <zhouyihang1@huawei.com> - 1.4-4
- Package init
